Bug 72246 - (IDE ALI15X3) Kernel boot pause during dma ckeck (timeout)
(IDE ALI15X3) Kernel boot pause during dma ckeck (timeout)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-22 08:06 EDT by Stefan Marquardt
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The full dmesg from the original kernel with another HD (5.41 KB, patch)
2002-08-22 08:09 EDT, Stefan Marquardt
no flags Details | Diff

  None (edit)
Description Stefan Marquardt 2002-08-22 08:06:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; DT; Q312461)

Description of problem:
There is no hardware defect.
I use the latest kernel from 7.1 en update: 2.4.9-34 but still have this 
problems:
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx  
ide2: ports already in use, skipping probe                                
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14                                       
hda: 8452080 sectors (4327 MB), CHS=8944/15/63, (U)DMA                    
Partition check:                                                          
 hda:hda: timeout waiting for DMA                                         
ide_dmaproc: chipset supported ide_dma_timeout func only: 14              
hda: status error: status=0x58 C$ DriveReady SeekComplete DataRequest C<    
hda: drive not ready for command                                          
 hda1 hda2 <hda: timeout waiting for DMA                                  
ide_dmaproc: chipset supported ide_dma_timeout func only: 14              
hda: status error: status=0x58 C$ DriveReady SeekComplete DataRequest C<    
hda: drive not ready for command                                          
 hda5hda: timeout waiting for DMA                                         
ide_dmaproc: chipset supported ide_dma_timeout func only: 14              
hda: status error: status=0x58 C$ DriveReady SeekComplete DataRequest C<    
hda: drive not ready for command                                          
 hda6hda: timeout waiting for DMA                                         
ide_dmaproc: chipset supported ide_dma_timeout func only: 14              
hda: status error: status=0x58 C$ DriveReady SeekComplete DataRequest C<    
hda: drive not ready for command                                          
 hda7 hda8 >                                                              

With original 7.1 kernel i get this:
ALI15X3: IDE controller on PCI bus 00 dev 58
PCI: Assigned IRQ 5 for device 00:0b.0
ALI15X3: chipset revision 32
ALI15X3: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:pio
ALI15X3: simplex device:  DMA disabled
ide1: ALI15X3 Bus-Master DMA disabled (BIOS)
hda: IBM-DJSA-205, ATA DISK drive
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: 9767520 sectors (5001 MB) w/384KiB Cache, CHS=608/255/63, (U)DMA
Partition check:
 hda:hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
hda: irq timeout: status=0x58 { DriveReady SeekComplete DataRequest }
hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
hda: irq timeout: status=0x58 { DriveReady SeekComplete DataRequest }
hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
hda: irq timeout: status=0x58 { DriveReady SeekComplete DataRequest }
hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
hda: irq timeout: status=0x58 { DriveReady SeekComplete DataRequest }
hda: DMA disabled
ide0: reset: success
 hda1 hda2 < hda5 hda6 >


After the long timeouts it contiunes booting.
I try ide=nodma and idebus=66, then i get no DMA errors but
have no DMA, thats the worst solution.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Booting
2.
3.
	

Additional info:

Some times during my tests i got a trap so there is a data risc.
Comment 1 Stefan Marquardt 2002-08-22 08:09:52 EDT
Created attachment 72224 [details]
The full dmesg from the original kernel with another HD
Comment 2 Alan Cox 2002-08-22 12:28:31 EDT
Arjan the IDE between 2.4.9 and 2.4.19pre for this chipset is basically a
rewrite. I've no idea what the 2.4.9 problem is nor suggestions for fixing the
ancient one.

The 2.4.18/19 based errata ought to work however
Comment 3 Stefan Marquardt 2002-08-26 11:43:10 EDT
>The 2.4.18/19 based errata ought to work however
Is this kernel available for RH 7.1 ?
If not, for this relaese is planned to use it ?
Comment 4 Stefan Marquardt 2003-06-23 10:11:54 EDT
Tried it with the latest kernel:
Linux version 2.4.20-18.7 
.....
Uniform Multi-Platform E-IDE driver Revision: 7.00beta3-.2.4               
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ALI15X3: IDE controller at PCI slot 00:0b.0                                
PCI: Assigned IRQ 12 for device 00:0b.0                                    
ALI15X3: chipset revision 32                                               
ALI15X3: not 100% native mode: will probe irqs later                       
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:pio         
ALI15X3: simplex device: DMA forced                                        
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:DMA         
hda: TOSHIBA MK2104MAV, ATA DISK drive                                     
blk: queue c0367880, I/O limit 4095Mb (mask 0xffffffff)                    
ide2: ports already in use, skipping probe                                 
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14                                        
hda: attached ide-disk driver.                                             
hda: host protected area => 1                                              
hda: 4233600 sectors (2168 MB), CHS=525/128/63, DMA                        
ide-floppy driver 0.99.newide                                              
Partition check:                                                           
 hda:<4>hda: dma_timer_expiry: dma status == 0x21                          
hda: timeout waiting for DMA                                               
hda: timeout waiting for DMA                                               
hda: (__ide_dma_test_irq) called while not waiting                         
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }     
                                                                       
hda: drive not ready for command                                       
 hda1 hda2 <<4>hda: dma_timer_expiry: dma status == 0x21               
hda: timeout waiting for DMA                                           
hda: timeout waiting for DMA                                           
hda: (__ide_dma_test_irq) called while not waiting                     
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest } 
                                                                       
hda: drive not ready for command                                       
 hda5<4>hda: dma_timer_expiry: dma status == 0x21                      
hda: timeout waiting for DMA                                           
hda: timeout waiting for DMA                                           
hda: (__ide_dma_test_irq) called while not waiting                     
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest } 
                                                                       
hda: drive not ready for command                                       
 hda6<4>hda: dma_timer_expiry: dma status == 0x21                      
hda: timeout waiting for DMA                                           
hda: timeout waiting for DMA                                           
hda: (__ide_dma_test_irq) called while not waiting                     
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest } 
                                                                       
hda: drive not ready for command                                       
 hda7 hda8 >                
Comment 5 Stefan Marquardt 2003-06-24 10:49:54 EDT
Tried today RH9 bootdisk, the same effect.
Comment 6 Bugzilla owner 2004-09-30 11:39:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.